# twitch-frontend
twitch-frontend is a privacy respecting frontend for (twitch.tv)[https://twitch.tv/]

The main advantages of twitch-frontend are:
 - Private: Every request is proxied through the server, and no logs are kept.
 - Lightweight: Compared to twitch, twitch-frontend is optimized for speed and usability. Scraping is the only current speed issue, but improves with caching
 
 </br>
 
 # Features
 
 ### User features
 - [x] No connection to twitch/amazon
 - [x] No Ads or tracking
 - [x] No logs are kept
 
 ### Technical features
 - [x] Public API
 - [x] No official APIs are used
 - [x] Uses a mix of (streamlink)[] and a custom Twitch webscraper
 

