export interface Socials {
    type: string | null
    text: string,
    link: string
}

export interface StreamData {
    tags: string[]
    title: string
    topic: string
    startedAt: number
    qualities: string[]
}

export interface StreamerData {
    username: string,
    followers: number,
    followersAbbv: string,
    isLive: boolean,
    about: string,
    socials?: string[],
    pfp: string;
    stream?: StreamData
}