import { createApp } from 'vue'
import App from './App.vue'
import router from './router'

import './assets/index.css'

import VueVideoPlayer from '@videojs-player/vue'
import 'video.js/dist/video-js.css'

const app = createApp(App)

app.use(VueVideoPlayer)

import { OhVueIcon, addIcons } from "oh-vue-icons";
import { IoSearchOutline, IoLink, FaCircleNotch, BiTwitter, BiInstagram, BiDiscord, BiYoutube, BiTiktok } from "oh-vue-icons/icons";

addIcons(IoSearchOutline, IoLink, FaCircleNotch, BiTwitter, BiInstagram, BiDiscord, BiYoutube, BiTiktok)

app.component("v-icon", OhVueIcon);
app.use(router)
app.mount('#app')


